package com.ruoyi.interfaces.service.impl;

import com.ruoyi.interfaces.domain.PtAppApply;
import com.ruoyi.interfaces.mapper.PtAppApplyDao;
import com.ruoyi.interfaces.service.PtAppApplyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author weking
 * @date 2018-11-6
 */
@Service
@Transactional
public class PtAppApplyServiceImpl implements PtAppApplyService {

    @Autowired
    private PtAppApplyDao ptAppApplyDao;

    @Override
    public int insert(PtAppApply ptAppApply) {
        return ptAppApplyDao.insert(ptAppApply);
    }

    @Override
    public List<PtAppApply> selectByPrimaryKey(PtAppApply ptAppApply) {
        return ptAppApplyDao.selectByPrimaryKey(ptAppApply);
    }

    @Override
    public int updateByPrimaryKey(PtAppApply ptAppApply) {
        return ptAppApplyDao.updateByPrimaryKey(ptAppApply);
    }

    @Override
    public int deleteByPrimaryKey(PtAppApply ptAppApply) {
        return ptAppApplyDao.deleteByPrimaryKey(ptAppApply);
    }

}
